Bug 240104 - [ iOS ] fast/text/international/system-language/navigator-language/navigator-language-fr.html is a flaky failure
Summary: [ iOS ] fast/text/international/system-language/navigator-language/navigator-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-04 18:00 PDT by Karl Rackler
Modified: 2022-05-11 16:52 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Rackler 2022-05-04 18:00:03 PDT
Description:
fast/text/international/system-language/navigator-language/navigator-language-fr.html

This test seems to have been flaky since the start of iOS Release and Debug.

History:
https://results.webkit.org/?suite=layout-tests&test=fast%2Ftext%2Finternational%2Fsystem-language%2Fnavigator-language%2Fnavigator-language-fr.html&platform=ios&limit=50000

Diff:
--- /Volumes/Data/worker/Apple-iOS-15-Simulator-Release-WK2-Tests/build/layout-test-results/fast/text/international/system-language/navigator-language/navigator-language-fr-expected.txt
+++ /Volumes/Data/worker/Apple-iOS-15-Simulator-Release-WK2-Tests/build/layout-test-results/fast/text/international/system-language/navigator-language/navigator-language-fr-actual.txt
@@ -1,5 +1,6 @@
-PASS navigator.language is "fr-FR"
+FAIL navigator.language should be fr-FR. Was fr.
 PASS successfullyParsed is true
+Some tests failed.
 
 TEST COMPLETE
Comment 1 Radar WebKit Bug Importer 2022-05-04 18:00:18 PDT
<rdar://problem/92765233>
Comment 2 Karl Rackler 2022-05-04 18:08:04 PDT
I have marked this test as a flaky failure while this issue is investigated.
Comment 3 Karl Rackler 2022-05-04 18:11:38 PDT
Pull request: https://github.com/WebKit/WebKit/pull/518
Comment 4 EWS 2022-05-04 18:15:50 PDT
Test gardening commit r293810 (250283@main): <https://commits.webkit.org/250283@main>

Reviewed commits have been landed. Closing PR #518 and removing active labels.
Comment 5 Chris Dumez 2022-05-05 19:15:14 PDT
Pull request: https://github.com/WebKit/WebKit/pull/536
Comment 6 Chris Dumez 2022-05-05 19:22:25 PDT
Pull request: https://github.com/WebKit/WebKit/pull/537
Comment 7 EWS 2022-05-11 16:52:52 PDT
Committed r294079 (250473@main): <https://commits.webkit.org/250473@main>

Reviewed commits have been landed. Closing PR #537 and removing active labels.